Subject: Re: [PATCH v2 0/3] Ensure unique worktree ids across repositories

From: Junio C Hamano <[email-masked]>
Date: Tue, 03 Dec 2024 10:46:16 +0900

Eric Sunshine <[email-masked]> writes:

> Unfortunately, I haven't had time lately to follow all these
> worktree-related changes or discussions, but perhaps shejialuo is
> referring to the ability, from within one worktree, to mention a ref
> from another worktree (which is a feature Duy added some time after
> the initial worktree implementation).

Ah, yes, that exposes (and has to expose) the worktree ID.  It still
does not have to be unique across repositories (only has to unique
among the worktrees that share the same single repository).

Thanks.